Alerts API
Get alert history
View the history of triggered alerts for the current project.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
page?integerPage number for pagination
Range
1 <= valueDefault
1limit?integerItems per page
Range
1 <= value <= 200Default
50Alert history
application/json- response
[index: integer]?curl -X GET 'https://demo.supercheck.dev/api/alerts/history'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "targetType": "string", "targetId": "string", "targetName": "string", "type": "string", "message": "string", "status": "string", "timestamp": "2019-08-24T14:15:22Z", "notificationProvider": "string", "metadata": { "errorMessage": "string" } }]